# Custom Stream

Integrate your own logging device with a custom **HTTP POST** to the **URL** you are given in the settings.

![Enable custom stream in the settings page](/files/-LVoJnF0ydPfaP8sxA6P)

Use the following **JSON** format in the body of the **POST:**

```
{
  "name": "YourDeviceName", // Required field, this will be the ID in Brewfather
  "temp": 20.32,
  "aux_temp": 15.61, // Fridge Temp
  "ext_temp": 6.51, // Room Temp
  "temp_unit": "C", // C, F, K
  "gravity": 1.042,
  "gravity_unit": "G", // G, P
  "pressure": 10,
  "pressure_unit": "PSI", // PSI, BAR, KPA
  "ph": 4.12,
  "bpm": 123, // Bubbles Per Minute
  "comment": "Hello World",
  "beer": "Pale Ale"
}
```

Temperature units "**C**" for celcius, "**F**" for fahrenheit, "**K**" for kelvin.\
Gravity units "**G**" for SG and "**P**" for Plato.\
Pressure units "**PSI**", "**BAR**", "**KPA**".

**Never log more than once every 15 minutes per device name**, request logged more often than that will be ignored. If you are logging more than one device give them each a unique name, maximum rate: one POST per device per 15 minutes.

Field "name" is required. Other fields are optional.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.brewfather.app/br/integrations/custom-stream.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
